## webhelpers 1.0~b5

=== requirements.txt ===
# Pip requirements to build WebHelpers documentation and run tests.

# Required for tests
Nose
Routes
WebOb

# Required for generating HTML documentation
Sphinx

# Optional enhancement for certain helpers
Unidecode

# Required by pylons.media.get_dimensions_pil()
# (To avoid installing this, use pylons.media.get_dimensions() instead.)
#Imaging

## webhelpers 1.1

=== requirements.txt ===
--- 
+++ 
@@ -11,6 +11,6 @@
 # Optional enhancement for certain helpers
 Unidecode
 
-# Required by pylons.media.get_dimensions_pil()
-# (To avoid installing this, use pylons.media.get_dimensions() instead.)
+# Required by webhelpers.media.get_dimensions_pil()
+# (To avoid installing this, use webhelpers.media.get_dimensions() instead.)
 #Imaging

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=.. sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

## webhelpers 1.3

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,14 @@
 # Pip requirements to build WebHelpers documentation and run tests.
+
+MarkupSafe>=0.9.2
 
 # Required for tests
 Nose
 Routes
 WebOb
+
+# Optional for testing paginate with SQLAlchemy queries
+#SQLAlchemy
 
 # Required for generating HTML documentation
 Sphinx

=== docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = PYTHONPATH=.. sphinx-build
+SPHINXBUILD   = sphinx-build
 PAPER         =
 
 # Internal variables.
@@ -11,12 +11,12 @@
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html web htmlhelp latex changes linkcheck
+.PHONY: help clean html web pickle htmlhelp latex changes linkcheck
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
-	@echo "  web       to make files usable by Sphinx.web"
+	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
 	@echo "  htmlhelp  to make HTML files and a HTML help project"
 	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  changes   to make an overview over all changed/added/deprecated items"
@@ -25,21 +25,29 @@
 clean:
 	-rm -rf _build/*
 
-html:
+html: _themes/
 	mkdir -p _build/html _build/doctrees
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
 
-web:
-	mkdir -p _build/web _build/doctrees
-	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
+text:
+	mkdir -p _build/text _build/doctrees
+	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) _build/text
 	@echo
-	@echo "Build finished; now you can run"
-	@echo "  python -m sphinx.web _build/web"
-	@echo "to start the server."
+	@echo "Build finished. The HTML pages are in _build/text."
 
-htmlhelp:
+pickle:
+	mkdir -p _build/pickle _build/doctrees
+	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
+	@echo
+	@echo "Build finished; now you can process the pickle files or run"
+	@echo "  sphinx-web _build/pickle"
+	@echo "to start the sphinx-web server."
+
+web: pickle
+
+htmlhelp: _themes
 	mkdir -p _build/htmlhelp _build/doctrees
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
 	@echo
@@ -49,6 +57,10 @@
 latex:
 	mkdir -p _build/latex _build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
+	cp _static/*.png _build/latex
+	./convert_images.sh
+	cp _static/latex-warning.png _build/latex
+	cp _static/latex-note.png _build/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
 	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
@@ -66,3 +78,11 @@
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in _build/linkcheck/output.txt."
+
+epub:
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) _build/epub
+	@echo
+	@echo "Build finished. The epub file is in _build/epub."
+
+_themes:
+	git clone git://github.com/Pylons/pylons_sphinx_theme.git _themes

=== debian/changelog ===
webhelpers (1.3-4) unstable; urgency=low

  * Remove WebHelpers.egg-info in clean target (to make it build twice in a
    row with DEB_BUILD_OPTIONS=nocheck, closes: 671532)
  * Add (now empty) build-arch and build-indep targets to debian/rules
  * Update Homepage field (closes: 637886)
  * Standards-Version bumped to 3.9.3 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 Jul 2012 22:27:47 +0200

webhelpers (1.3-3) unstable; urgency=low

  * Handle API change in WebOb 1.1.1 (thanks to Colin Watson for the patch
    from Ubuntu)
  * Disable distance_of_time_in_words tests (Closes: 629699)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 Jul 2012 19:13:26 +0200

webhelpers (1.3-2) unstable; urgency=low

  [ Andrey Rahmatullin ]
  * Enable build-time tests

  [ Piotr Ożarowski ]
  * Add python-utidylib to Suggests (for webhelpers.textile)
  * Standards-Version bumped to 3.9.2 (no other changes needed)
  * Source format changed to 3.0 (quilt)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 May 2011 21:20:00 +0200

webhelpers (1.3-1) unstable; urgency=low

  * New upstream release
  * Switch from dh_pysupport to dh_python2

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 26 Mar 2011 10:18:37 +0100

webhelpers (1.2-1) experimental; urgency=low

  * New upstream release
  * python-markupsafe added to Depends

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 21 Aug 2010 00:46:36 +0200

webhelpers (1.1-1) unstable; urgency=low

  * New upstream release
    - webhelpers.pylonslib._jsmin module removed due to licensing issues
  * debian/copyright file updated
  * Standards-Version bumped to 3.9.1:
    - BSD license included directly in debian/copyright

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Aug 2010 18:58:48 +0200

webhelpers (1.0-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Jun 2010 21:37:50 +0200

webhelpers (1.0~rc1-1) unstable; urgency=low

  * New upstream release
  * debian/watch file updated to handle "rc" versions

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 May 2010 20:33:32 +0200

webhelpers (1.0~b7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 May 2010 20:58:33 +0200

webhelpers (1.0~b6-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Apr 2010 11:08:25 +0200

webhelpers (1.0~b5-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 23 Mar 2010 19:39:54 +0100

webhelpers (1.0~b4-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    - bump minimum required Python version to 2.4
  * debian/watch updated to recognize beta versions correctly
  * Standards-Version bumped to 3.8.4 (no changes needed)

  [ Oleksandr Moskalenko ]
  * debian/control: 
    - Changed to DPMT group maintenance and added Piotr to the Uploaders.
    - Moved python depends to Build-Depends-Indep.
  * debian/copyright: Changed debian packaging license to BSD to sync with the
    upstream.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 18 Feb 2010 15:46:38 -0600

webhelpers (1.0~b3-1) experimental; urgency=low

  * Upload the third beta to experimental.
  * debian/source/format: Change source format to v 3.0 (quilt).
  * debian/rules:
    - Remove obsolete patching code.
    - Remove obsolete linking to scriptaculous.
  * debian/control: Remove build-depends on dpatch.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 07 Jan 2010 23:56:08 -0600

webhelpers (0.6.4-2) unstable; urgency=low

  * Acknowledge NMUs.
  * debian/control: Updated standards-version to 3.8.3.
  * Jakub Wilk <ubanus@users.sf.net>:
    + Use the system-wide scriptaculous javascript library.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 07 Jan 2010 23:48:50 -0600

webhelpers (0.6.4-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:35:21 -0500

webhelpers (0.6.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch, thanks dude! (Closes: #547862)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 14:52:35 +0200

webhelpers (0.6.4-1) unstable; urgency=low

  * New upstream release.
  [Sandro Tosi <morph@debian.org>]:
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 01 Dec 2008 18:00:00 -0700

webhelpers (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Removed build-depends on python as pysupport doesn't require it now.
    - Removed XS-Python-Version: all as pysupport doesn't require it now.
    - Removed python from Depends as pysupport doesn't require it now.
    - Removed XB-Python-Version: ${python:Versions} as pysupport doesn't
      require it now.
    - Removed Enhances: python-webhelpers as it doesn't make sense for a
      package to enhance itself.
  * debian/rules: Simplified dpatch patch handling rules.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 08 Oct 2008 10:23:40 -0600

webhelpers (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 31 Jul 2008 17:17:33 -0600

webhelpers (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Updated Standards-Version to 3.8.0.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 08 Jul 2008 17:48:02 -0600

webhelpers (0.3.4-2) unstable; urgency=low

  * Remove the javascript prototypes and link to and depend on libjs-prototype
    (Closes: #475291).
  * debian/rules:
    - Removed dh_strip clause as it is not needed for .py files.
    - Added a clause to remove prototype.js.
    - Added a clause to create a link to prototype.js from libjs-prototype.
  * debian/control:
    - Updated Standards-Version to 3.7.3.


=== debian/control ===
Source: webhelpers
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Oleksandr Moskalenko <malex@debian.org>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), python-markupsafe,
 python-nose, python-routes, python-webob, python-pylons, python-sqlalchemy
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/webhelpers/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/webhelpers/trunk/
Homepage: http://docs.pylonsproject.org/projects/webhelpers/dev/
X-Python-Version: >= 2.4

Package: python-webhelpers
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-routes (>= 1.1), python-simplejson (>= 1.4), libjs-scriptaculous
Suggests: python-utidylib
Description: library of helper functions to make writing web application templates easier
 One of the sub-sections of Web Helpers contains a full port of the template
 helpers that are provided by Ruby on Rails with slight adaptations on
 occasion to accommodate for Python. Some of these helpers only require Routes
 to function.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package=python-webhelpers
PYDEFAULT=$(shell pyversions -d)
PYVERS=$(shell pyversions -vr)

include /usr/share/python/python.mk

SITEDIR = $(call py_sitename, $(PYDEFAULT))

clean:
	dh_testdir
	dh_testroot
	rm -rf build WebHelpers.egg-info
	find . -name *\.py[co] -exec rm -f {} \;
	dh_clean build-*

build:
build-arch:
build-indep:

test: $(PYVERS:%=test-python%)

test-python%:
	-
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python$* setup.py nosetests
endif

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	python setup.py install \
		--no-compile \
		--single-version-externally-managed \
		--root $(CURDIR)/debian/$(package) --install-layout=deb

binary-indep: install test
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_compress -X.py
	dh_python2
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: clean build build-arch build-indep binary-arch binary-indep binary install test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.python.org/packages/source/W/WebHelpers/WebHelpers-(.*)\.tar\.gz
